package com.chinaweal.aiccs.common.base.entity;

import java.sql.Timestamp;
import java.util.Map;

/**
 * @author <a href="https://blog.lroyia.top">lroyia</a>
 * @since 2021/1/29 17:16
 **/
public abstract class AbstractModel {
    protected Map<String, Object> parameterMap;
    private Timestamp lauptime;

    private String update_statement;

    public AbstractModel() {
    }

    public Timestamp getLauptime() {
        return this.lauptime == null ? null : (Timestamp)this.lauptime.clone();
    }

    public void setLauptime(Timestamp lauptime) {
        this.lauptime = lauptime == null ? null : (Timestamp)lauptime.clone();
    }

    public abstract Object getModelId();

    public abstract void setModelId(Object var1);

    public String getUpdate_statement() {
        return this.update_statement;
    }

    public void setUpdate_statement(String update_statement) {
        this.update_statement = update_statement;
    }
}
